## ros-kinetic-opt-camera 2.1.17

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(opt_camera)

set(${PROJECT_NAME}_CATKIN_DEPS
  rospack sensor_msgs image_proc dynamic_reconfigure camera_calibration_parsers compressed_image_transport image_proc compressed_image_transport cv_bridge
)
find_package(catkin REQUIRED COMPONENTS ${${PROJECT_NAME}_CATKIN_DEPS})

# Set the build type.  Options are:
#  Coverage       : w/ debug symbols, w/o optimization, w/ code-coverage
#  Debug          : w/ debug symbols, w/o optimization
#  Release        : w/o debug symbols, w/ optimization
#  RelWithDebInfo : w/ debug symbols, w/ optimization
#  MinSizeRel     : w/o debug symbols, w/ optimization, stripped binaries
set(ROS_BUILD_TYPE RelWithDebInfo)

# Dynamic reconfigure support
generate_dynamic_reconfigure_options(cfg/OptNM33Camera.cfg)

catkin_package(
    CATKIN_DEPENDS ${${PROJECT_NAME}_CATKIN_DEPS}
    LIBRARIES #
    INCLUDE_DIRS #
    DEPENDS #
)

find_package(OpenCV REQUIRED)

include_directories(${catkin_INCLUDE_DIRS}  ${OpenCV_INCLUDE_DIRS})

add_executable(nm33_node src/nm33_node.cpp src/opt_nm33_uvc/opt_nm33_camera.cpp src/opt_nm33_uvc/opt_nm33_uvc.cpp)
add_executable(init_xu_register src/opt_nm33_uvc/init_xu_register.cpp src/opt_nm33_uvc/opt_nm33_uvc.cpp)
target_link_libraries(nm33_node ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

add_executable(nm33_node_non_std_uvc src/nm33_node.cpp src/opt_nm33_uvc/opt_nm33_camera.cpp src/opt_nm33_uvc/opt_nm33_uvc.cpp)
add_executable(init_xu_register_non_std_uvc src/opt_nm33_uvc/init_xu_register.cpp src/opt_nm33_uvc/opt_nm33_uvc.cpp)
target_link_libraries(nm33_node_non_std_uvc ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

add_dependencies(nm33_node ${PROJECT_NAME}_gencfg)
add_dependencies(nm33_node_non_std_uvc ${PROJECT_NAME}_gencfg)

install(TARGETS nm33_node nm33_node_non_std_uvc init_xu_register init_xu_register_non_std_uvc
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-opt-camera (2.1.17-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-kinetic-opt-camera (2.1.16-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-kinetic-opt-camera (2.1.15-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 12 Dec 2019 00:00:00 -0000

ros-kinetic-opt-camera (2.1.14-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 21 Nov 2019 00:00:00 -0000

ros-kinetic-opt-camera (2.1.13-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 10 Jul 2019 00:00:00 -0000

ros-kinetic-opt-camera (2.1.12-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 25 May 2019 00:00:00 -0000

ros-kinetic-opt-camera (2.1.11-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 29 Aug 2018 00:00:00 -0000

ros-kinetic-opt-camera (2.1.10-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 25 Apr 2018 00:00:00 -0000

ros-kinetic-opt-camera (2.1.9-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 24 Apr 2018 00:00:00 -0000

ros-kinetic-opt-camera (2.1.8-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 17 Apr 2018 00:00:00 -0000

ros-kinetic-opt-camera (2.1.7-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 09 Apr 2018 00:00:00 -0000

ros-kinetic-opt-camera (2.1.6-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 21 Nov 2017 00:00:00 -0000

ros-kinetic-opt-camera (2.1.5-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 20 Nov 2017 00:00:00 -0000

ros-kinetic-opt-camera (2.1.4-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 16 Jul 2017 00:00:00 -0000

ros-kinetic-opt-camera (2.1.3-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 07 Jul 2017 00:00:00 -0000

ros-kinetic-opt-camera (2.1.2-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 06 Jul 2017 00:00:00 -0000

ros-kinetic-opt-camera (2.1.1-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 05 Jul 2017 00:00:00 -0000

ros-kinetic-opt-camera (2.1.0-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 02 Jul 2017 00:00:00 -0000

ros-kinetic-opt-camera (2.0.20-1xenial) xenial; urgency=high

  * Revert "[opt_camera][OptNM33Camera.cfg] param "4view" does not follow ROS convention"
  * [opt_camera][OptNM33Camera.cfg] param "4view" does not follow ROS convention
  * Contributors: Kei Okada, Yuki Furuta

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 09 May 2017 00:00:00 -0000

ros-kinetic-opt-camera (2.0.19-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 22 Feb 2017 00:00:00 -0000

ros-kinetic-opt-camera (2.0.18-1xenial) xenial; urgency=high

  * fir for kinetic (#78 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/78>)
    * fix header file for opencv2/3
    * remove driver_base from OptNM33Camera.cfg
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 28 Oct 2016 00:00:00 -0000

ros-kinetic-opt-camera (2.0.17-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 22 Oct 2016 00:00:00 -0000

ros-kinetic-opt-camera (2.0.16-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 17 Oct 2016 00:00:00 -0000

ros-kinetic-opt-camera (2.0.15-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 16 Oct 2016 00:00:00 -0000

ros-kinetic-opt-camera (2.0.14-1xenial) xenial; urgency=high

  * remove dynamic_reconfigure.parameter_generator, which only used for rosbuild
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 20 Mar 2016 00:00:00 -0000

ros-kinetic-opt-camera (2.0.13-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 15 Dec 2015 00:00:00 -0000

ros-kinetic-opt-camera (2.0.12-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 26 Nov 2015 00:00:00 -0000

ros-kinetic-opt-camera (2.0.11-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 07 Oct 2015 00:00:00 -0000

ros-kinetic-opt-camera (2.0.10-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 07 Oct 2015 00:00:00 -0000

ros-kinetic-opt-camera (2.0.9-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 26 Sep 2015 00:00:00 -0000

ros-kinetic-opt-camera (2.0.8-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 15 Sep 2015 00:00:00 -0000

ros-kinetic-opt-camera (2.0.7-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 14 Sep 2015 00:00:00 -0000

ros-kinetic-opt-camera (2.0.6-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 08 Sep 2015 00:00:00 -0000

ros-kinetic-opt-camera (2.0.5-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 23 Aug 2015 00:00:00 -0000

ros-kinetic-opt-camera (2.0.4-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 18 Aug 2015 00:00:00 -0000

ros-kinetic-opt-camera (2.0.3-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 01 Aug 2015 00:00:00 -0000

ros-kinetic-opt-camera (2.0.2-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 29 Jun 2015 00:00:00 -0000

ros-kinetic-opt-camera (2.0.1-1xenial) xenial; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 19 Jun 2015 00:00:00 -0000

ros-kinetic-opt-camera (2.0.0-1xenial) xenial; urgency=high

  * move from jsk_common to jsk_3rdparty



=== debian/control ===
Source: ros-kinetic-opt-camera
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-camera-calibration-parsers, ros-kinetic-catkin, ros-kinetic-compressed-image-transport, ros-kinetic-cv-bridge, ros-kinetic-dynamic-reconfigure, ros-kinetic-image-proc, ros-kinetic-roslang, ros-kinetic-rospack, ros-kinetic-sensor-msgs
Homepage: http://ros.org/wiki/opt_camera
Standards-Version: 3.9.2

Package: ros-kinetic-opt-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-camera-calibration-parsers, ros-kinetic-compressed-image-transport, ros-kinetic-cv-bridge, ros-kinetic-dynamic-reconfigure, ros-kinetic-image-proc, ros-kinetic-rospack, ros-kinetic-sensor-msgs
Description: opt_camera

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-opt-camera//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
